## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 18
%bcond_without check

%global crate rustbus

Name:           rust-%{crate}
Version:        0.17.0
Release:        %autorelease
Summary:        Implementation of the dbus protocol

# Upstream license specification: MIT
License:        MIT
URL:            https://crates.io/crates/rustbus
Source:         %{crates_source}

ExclusiveArch:  %{rust_arches}
%if %{__cargo_skip_build}
BuildArch:      noarch
%endif

BuildRequires:  rust-packaging

%global _description %{expand:
Implementation of the dbus protocol.}

%description %{_description}

%if ! %{__cargo_skip_build}
%package     -n %{crate}
Summary:        %{summary}

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%doc examples README.md
%{_bindir}/perf_test
%{_bindir}/fuzz_artifact
%{_bindir}/create_corpus
%endif

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE
%doc examples README.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# Disable test that requires a running dbus daemon
%cargo_test -- -- --skip tests::fdpassing::test_fd_passing
%endif

%changelog
* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.17.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Aug 03 2021 Davide Cavalca <dcavalca@fedoraproject.org> 0.17.0-1
- Update to 0.17.0; Fixes: RHBZ#1989647, RHBZ#1989029

* Tue Aug 03 2021 Davide Cavalca <dcavalca@fedoraproject.org> 0.16.0-2
- Rebuild for rustbus_derive 0.4.0

* Sat Jul 24 2021 Davide Cavalca <dcavalca@fedoraproject.org> 0.16.0-1
- Update to 0.16.0

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> 0.15.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu Jul 08 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 0.15.0-1
- Update to 0.15.0

* Tue Jul 06 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 0.14.0-1
- Initial package

